package com.afp.ordermanagement.repository;

import com.afp.ordermanagement.model.Manager;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

@Repository
public interface ManagerRepository extends ReactiveMongoRepository<Manager, String> {
    Mono<Manager> findByEmail(String email);
}
